ncurses 6.1 - patch 20190615
[ncurses.git] / configure
index 0880cf1031104006483a271d1d878f868cbc99c7..a479239772e2e21bb4d1836bdc84ea0dfe2e7d0a 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in Revision: 1.674 .
+# From configure.in Revision: 1.678 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by Autoconf 2.52.20181006.
 #
@@ -18743,6 +18743,7 @@ geteuid \
 getopt \
 getttynam \
 issetugid \
+localeconv \
 poll \
 putenv \
 remove \
@@ -18757,7 +18758,6 @@ strdup \
 strstr \
 sysconf \
 tcgetpgrp \
-tdestroy \
 times \
 tsearch \
 vsnprintf \
@@ -21051,9 +21051,80 @@ EOF
 
 fi
 
+echo "$as_me:21054: checking if fopen accepts explicit binary mode" >&5
+echo $ECHO_N "checking if fopen accepts explicit binary mode... $ECHO_C" >&6
+if test "${cf_cv_fopen_bin_r+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+
+       if test "$cross_compiling" = yes; then
+  cf_cv_fopen_bin_r=unknown
+else
+  cat >conftest.$ac_ext <<_ACEOF
+#line 21064 "configure"
+#include "confdefs.h"
+
+#include <stdio.h>
+int main(void) {
+       FILE *fp = fopen("conftest.tmp", "wb");
+       int rc = 0;
+       if (fp != 0) {
+               int p, q;
+               for (p = 0; p < 256; ++p) {
+                       fputc(p, fp);
+               }
+               fclose(fp);
+               fp = fopen("conftest.tmp", "rb");
+               if (fp != 0) {
+                       for (p = 0; p < 256; ++p) {
+                               q = fgetc(fp);
+                               if (q != p) {
+                                       fprintf(stderr, "OOPS:%d ->%d\n", p, q);
+                                       //rc = 1;
+                                       //break;
+                               }
+                       }
+               } else {
+                       rc = 1;
+               }
+       } else {
+               rc = 1;
+       }
+       ${cf_cv_main_return:-return} (rc);
+}
+
+_ACEOF
+rm -f conftest$ac_exeext
+if { (eval echo "$as_me:21098: \"$ac_link\"") >&5
+  (eval $ac_link) 2>&5
+  ac_status=$?
+  echo "$as_me:21101: \$? = $ac_status" >&5
+  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
+  { (eval echo "$as_me:21103: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:21106: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  cf_cv_fopen_bin_r=yes
+else
+  echo "$as_me: program exited with status $ac_status" >&5
+echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+cf_cv_fopen_bin_r=no
+fi
+rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+fi
+
+fi
+echo "$as_me:21119: result: $cf_cv_fopen_bin_r" >&5
+echo "${ECHO_T}$cf_cv_fopen_bin_r" >&6
+test "x$cf_cv_fopen_bin_r" != xno && cat >>confdefs.h <<\EOF
+#define USE_FOPEN_BIN_R 1
+EOF
+
 # special check for test/ditto.c
 
-echo "$as_me:21056: checking for openpty in -lutil" >&5
+echo "$as_me:21127: checking for openpty in -lutil" >&5
 echo $ECHO_N "checking for openpty in -lutil... $ECHO_C" >&6
 if test "${ac_cv_lib_util_openpty+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -21061,7 +21132,7 @@ else
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lutil  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 21064 "configure"
+#line 21135 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -21080,16 +21151,16 @@ openpty ();
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:21083: \"$ac_link\"") >&5
+if { (eval echo "$as_me:21154: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:21086: \$? = $ac_status" >&5
+  echo "$as_me:21157: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:21089: \"$ac_try\"") >&5
+  { (eval echo "$as_me:21160: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:21092: \$? = $ac_status" >&5
+  echo "$as_me:21163: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_util_openpty=yes
 else
@@ -21100,7 +21171,7 @@ fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:21103: result: $ac_cv_lib_util_openpty" >&5
+echo "$as_me:21174: result: $ac_cv_lib_util_openpty" >&5
 echo "${ECHO_T}$ac_cv_lib_util_openpty" >&6
 if test $ac_cv_lib_util_openpty = yes; then
   cf_cv_lib_util=yes
@@ -21108,7 +21179,7 @@ else
   cf_cv_lib_util=no
 fi
 
-echo "$as_me:21111: checking for openpty header" >&5
+echo "$as_me:21182: checking for openpty header" >&5
 echo $ECHO_N "checking for openpty header... $ECHO_C" >&6
 if test "${cf_cv_func_openpty+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -21135,7 +21206,7 @@ LIBS="$cf_add_libs"
        for cf_header in pty.h libutil.h util.h
        do
        cat >conftest.$ac_ext <<_ACEOF
-#line 21138 "configure"
+#line 21209 "configure"
 #include "confdefs.h"
 
 #include <$cf_header>
@@ -21152,16 +21223,16 @@ main (void)
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:21155: \"$ac_link\"") >&5
+if { (eval echo "$as_me:21226: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:21158: \$? = $ac_status" >&5
+  echo "$as_me:21229: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:21161: \"$ac_try\"") >&5
+  { (eval echo "$as_me:21232: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:21164: \$? = $ac_status" >&5
+  echo "$as_me:21235: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
                cf_cv_func_openpty=$cf_header
@@ -21179,7 +21250,7 @@ rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
        LIBS="$cf_save_LIBS"
 
 fi
-echo "$as_me:21182: result: $cf_cv_func_openpty" >&5
+echo "$as_me:21253: result: $cf_cv_func_openpty" >&5
 echo "${ECHO_T}$cf_cv_func_openpty" >&6
 
 if test "$cf_cv_func_openpty" != no ; then
@@ -21252,7 +21323,7 @@ if test -n "$with_hashed_db/include" ; then
        CPPFLAGS="${CPPFLAGS}-I$cf_add_incdir"
 
                          cat >conftest.$ac_ext <<_ACEOF
-#line 21255 "configure"
+#line 21326 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int
@@ -21264,16 +21335,16 @@ printf("Hello")
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:21267: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:21338: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:21270: \$? = $ac_status" >&5
+  echo "$as_me:21341: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:21273: \"$ac_try\"") >&5
+  { (eval echo "$as_me:21344: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:21276: \$? = $ac_status" >&5
+  echo "$as_me:21347: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   :
 else
@@ -21290,7 +21361,7 @@ rm -f conftest.$ac_objext conftest.$ac_ext
                if test "$cf_have_incdir" = no ; then
                  test -n "$verbose" && echo "  adding $cf_add_incdir to include-path" 1>&6
 
-echo "${as_me:-configure}:21293: testing adding $cf_add_incdir to include-path ..." 1>&5
+echo "${as_me:-configure}:21364: testing adding $cf_add_incdir to include-path ..." 1>&5
 
                  CPPFLAGS="$CPPFLAGS -I$cf_add_incdir"
 
@@ -21326,7 +21397,7 @@ if test -n "$with_hashed_db/lib" ; then
                        if test "$cf_have_libdir" = no ; then
                                test -n "$verbose" && echo "    adding $cf_add_libdir to library-path" 1>&6
 
-echo "${as_me:-configure}:21329: testing adding $cf_add_libdir to library-path ..." 1>&5
+echo "${as_me:-configure}:21400: testing adding $cf_add_libdir to library-path ..." 1>&5
 
                                LDFLAGS="-L$cf_add_libdir $LDFLAGS"
                        fi
@@ -21337,7 +21408,7 @@ fi
        else
                case "$with_hashed_db" in
                (./*|../*|/*)
-                       { echo "$as_me:21340: WARNING: no such directory $with_hashed_db" >&5
+                       { echo "$as_me:21411: WARNING: no such directory $with_hashed_db" >&5
 echo "$as_me: WARNING: no such directory $with_hashed_db" >&2;}
                        ;;
                (*)
@@ -21409,7 +21480,7 @@ if test -n "$cf_item" ; then
        CPPFLAGS="${CPPFLAGS}-I$cf_add_incdir"
 
                          cat >conftest.$ac_ext <<_ACEOF
-#line 21412 "configure"
+#line 21483 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int
@@ -21421,16 +21492,16 @@ printf("Hello")
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:21424: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:21495: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:21427: \$? = $ac_status" >&5
+  echo "$as_me:21498: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:21430: \"$ac_try\"") >&5
+  { (eval echo "$as_me:21501: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:21433: \$? = $ac_status" >&5
+  echo "$as_me:21504: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   :
 else
@@ -21447,7 +21518,7 @@ rm -f conftest.$ac_objext conftest.$ac_ext
                if test "$cf_have_incdir" = no ; then
                  test -n "$verbose" && echo "  adding $cf_add_incdir to include-path" 1>&6
 
-echo "${as_me:-configure}:21450: testing adding $cf_add_incdir to include-path ..." 1>&5
+echo "${as_me:-configure}:21521: testing adding $cf_add_incdir to include-path ..." 1>&5
 
                  CPPFLAGS="$CPPFLAGS -I$cf_add_incdir"
 
@@ -21527,7 +21598,7 @@ if test -n "$cf_item" ; then
                        if test "$cf_have_libdir" = no ; then
                                test -n "$verbose" && echo "    adding $cf_add_libdir to library-path" 1>&6
 
-echo "${as_me:-configure}:21530: testing adding $cf_add_libdir to library-path ..." 1>&5
+echo "${as_me:-configure}:21601: testing adding $cf_add_libdir to library-path ..." 1>&5
 
                                LDFLAGS="-L$cf_add_libdir $LDFLAGS"
                        fi
        fi
 esac
 
-echo "$as_me:21547: checking for db.h" >&5
+echo "$as_me:21618: checking for db.h" >&5
 echo $ECHO_N "checking for db.h... $ECHO_C" >&6
 if test "${ac_cv_header_db_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 21553 "configure"
+#line 21624 "configure"
 #include "confdefs.h"
 #include <db.h>
 _ACEOF
-if { (eval echo "$as_me:21557: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:21628: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:21563: \$? = $ac_status" >&5
+  echo "$as_me:21634: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -21579,11 +21650,11 @@ else
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:21582: result: $ac_cv_header_db_h" >&5
+echo "$as_me:21653: result: $ac_cv_header_db_h" >&5
 echo "${ECHO_T}$ac_cv_header_db_h" >&6
 if test $ac_cv_header_db_h = yes; then
 
-echo "$as_me:21586: checking for version of db" >&5
+echo "$as_me:21657: checking for version of db" >&5
 echo $ECHO_N "checking for version of db... $ECHO_C" >&6
 if test "${cf_cv_hashed_db_version+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -21594,10 +21665,10 @@ cf_cv_hashed_db_version=unknown
 for cf_db_version in 1 2 3 4 5 6
 do
 
-echo "${as_me:-configure}:21597: testing checking for db version $cf_db_version ..." 1>&5
+echo "${as_me:-configure}:21668: testing checking for db version $cf_db_version ..." 1>&5
 
        cat >conftest.$ac_ext <<_ACEOF
-#line 21600 "configure"
+#line 21671 "configure"
 #include "confdefs.h"
 
 $ac_includes_default
@@ -21627,16 +21698,16 @@ DBT *foo = 0
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:21630: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:21701: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:21633: \$? = $ac_status" >&5
+  echo "$as_me:21704: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:21636: \"$ac_try\"") >&5
+  { (eval echo "$as_me:21707: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:21639: \$? = $ac_status" >&5
+  echo "$as_me:21710: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
        cf_cv_hashed_db_version=$cf_db_version
@@ -21650,16 +21721,16 @@ rm -f conftest.$ac_objext conftest.$ac_ext
 done
 
 fi
-echo "$as_me:21653: result: $cf_cv_hashed_db_version" >&5
+echo "$as_me:21724: result: $cf_cv_hashed_db_version" >&5
 echo "${ECHO_T}$cf_cv_hashed_db_version" >&6
 
 if test "$cf_cv_hashed_db_version" = unknown ; then
-       { { echo "$as_me:21657: error: Cannot determine version of db" >&5
+       { { echo "$as_me:21728: error: Cannot determine version of db" >&5
 echo "$as_me: error: Cannot determine version of db" >&2;}
    { (exit 1); exit 1; }; }
 else
 
-echo "$as_me:21662: checking for db libraries" >&5
+echo "$as_me:21733: checking for db libraries" >&5
 echo $ECHO_N "checking for db libraries... $ECHO_C" >&6
 if test "${cf_cv_hashed_db_libs+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -21689,10 +21760,10 @@ LIBS="$cf_add_libs"
 
        fi
 
-echo "${as_me:-configure}:21692: testing checking for library "$cf_db_libs" ..." 1>&5
+echo "${as_me:-configure}:21763: testing checking for library "$cf_db_libs" ..." 1>&5
 
        cat >conftest.$ac_ext <<_ACEOF
-#line 21695 "configure"
+#line 21766 "configure"
 #include "confdefs.h"
 
 $ac_includes_default
@@ -21747,16 +21818,16 @@ main (void)
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:21750: \"$ac_link\"") >&5
+if { (eval echo "$as_me:21821: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:21753: \$? = $ac_status" >&5
+  echo "$as_me:21824: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:21756: \"$ac_try\"") >&5
+  { (eval echo "$as_me:21827: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:21759: \$? = $ac_status" >&5
+  echo "$as_me:21830: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
        if test -n "$cf_db_libs" ; then
@@ -21776,11 +21847,11 @@ rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 done
 
 fi
-echo "$as_me:21779: result: $cf_cv_hashed_db_libs" >&5
+echo "$as_me:21850: result: $cf_cv_hashed_db_libs" >&5
 echo "${ECHO_T}$cf_cv_hashed_db_libs" >&6
 
        if test "$cf_cv_hashed_db_libs" = unknown ; then
-               { { echo "$as_me:21783: error: Cannot determine library for db" >&5
+               { { echo "$as_me:21854: error: Cannot determine library for db" >&5
 echo "$as_me: error: Cannot determine library for db" >&2;}
    { (exit 1); exit 1; }; }
        elif test "$cf_cv_hashed_db_libs" != default ; then
@@ -21806,7 +21877,7 @@ fi
 
 else
 
-       { { echo "$as_me:21809: error: Cannot find db.h" >&5
+       { { echo "$as_me:21880: error: Cannot find db.h" >&5
 echo "$as_me: error: Cannot find db.h" >&2;}
    { (exit 1); exit 1; }; }
 
@@ -21821,7 +21892,7 @@ fi
 
 # Just in case, check if the C compiler has a bool type.
 
-echo "$as_me:21824: checking if we should include stdbool.h" >&5
+echo "$as_me:21895: checking if we should include stdbool.h" >&5
 echo $ECHO_N "checking if we should include stdbool.h... $ECHO_C" >&6
 
 if test "${cf_cv_header_stdbool_h+set}" = set; then
@@ -21829,7 +21900,7 @@ if test "${cf_cv_header_stdbool_h+set}" = set; then
 else
 
        cat >conftest.$ac_ext <<_ACEOF
-#line 21832 "configure"
+#line 21903 "configure"
 #include "confdefs.h"
 
 int
@@ -21841,23 +21912,23 @@ bool foo = false
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:21844: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:21915: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:21847: \$? = $ac_status" >&5
+  echo "$as_me:21918: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:21850: \"$ac_try\"") >&5
+  { (eval echo "$as_me:21921: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:21853: \$? = $ac_status" >&5
+  echo "$as_me:21924: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_header_stdbool_h=0
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 21860 "configure"
+#line 21931 "configure"
 #include "confdefs.h"
 
 #ifndef __BEOS__
@@ -21873,16 +21944,16 @@ bool foo = false
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:21876: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:21947: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:21879: \$? = $ac_status" >&5
+  echo "$as_me:21950: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:21882: \"$ac_try\"") >&5
+  { (eval echo "$as_me:21953: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:21885: \$? = $ac_status" >&5
+  echo "$as_me:21956: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_header_stdbool_h=1
 else
@@ -21896,13 +21967,13 @@ rm -f conftest.$ac_objext conftest.$ac_ext
 fi
 
 if test "$cf_cv_header_stdbool_h" = 1
-then   echo "$as_me:21899: result: yes" >&5
+then   echo "$as_me:21970: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-else   echo "$as_me:21901: result: no" >&5
+else   echo "$as_me:21972: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
-echo "$as_me:21905: checking for builtin bool type" >&5
+echo "$as_me:21976: checking for builtin bool type" >&5
 echo $ECHO_N "checking for builtin bool type... $ECHO_C" >&6
 
 if test "${cf_cv_cc_bool_type+set}" = set; then
@@ -21910,7 +21981,7 @@ if test "${cf_cv_cc_bool_type+set}" = set; then
 else
 
        cat >conftest.$ac_ext <<_ACEOF
-#line 21913 "configure"
+#line 21984 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -21925,16 +21996,16 @@ bool x = false
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:21928: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:21999: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:21931: \$? = $ac_status" >&5
+  echo "$as_me:22002: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:21934: \"$ac_try\"") >&5
+  { (eval echo "$as_me:22005: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:21937: \$? = $ac_status" >&5
+  echo "$as_me:22008: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cc_bool_type=1
 else
@@ -21947,9 +22018,9 @@ rm -f conftest.$ac_objext conftest.$ac_ext
 fi
 
 if test "$cf_cv_cc_bool_type" = 1
-then   echo "$as_me:21950: result: yes" >&5
+then   echo "$as_me:22021: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-else   echo "$as_me:21952: result: no" >&5
+else   echo "$as_me:22023: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -21966,10 +22037,10 @@ if test -n "$GXX" ; then
 
        cf_save="$LIBS"
        LIBS="$LIBS $CXXLIBS"
-       echo "$as_me:21969: checking if we already have C++ library" >&5
+       echo "$as_me:22040: checking if we already have C++ library" >&5
 echo $ECHO_N "checking if we already have C++ library... $ECHO_C" >&6
        cat >conftest.$ac_ext <<_ACEOF
-#line 21972 "configure"
+#line 22043 "configure"
 #include "confdefs.h"
 
                        #include <iostream>
@@ -21983,16 +22054,16 @@ main (void)
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:21986: \"$ac_link\"") >&5
+if { (eval echo "$as_me:22057: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:21989: \$? = $ac_status" >&5
+  echo "$as_me:22060: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:21992: \"$ac_try\"") >&5
+  { (eval echo "$as_me:22063: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:21995: \$? = $ac_status" >&5
+  echo "$as_me:22066: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_have_libstdcpp=yes
 else
@@ -22001,7 +22072,7 @@ cat conftest.$ac_ext >&5
 cf_have_libstdcpp=no
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-       echo "$as_me:22004: result: $cf_have_libstdcpp" >&5
+       echo "$as_me:22075: result: $cf_have_libstdcpp" >&5
 echo "${ECHO_T}$cf_have_libstdcpp" >&6
        LIBS="$cf_save"
 
@@ -22020,7 +22091,7 @@ echo "${ECHO_T}$cf_have_libstdcpp" >&6
                        ;;
                esac
 
-               echo "$as_me:22023: checking for library $cf_stdcpp_libname" >&5
+               echo "$as_me:22094: checking for library $cf_stdcpp_libname" >&5
 echo $ECHO_N "checking for library $cf_stdcpp_libname... $ECHO_C" >&6
 if test "${cf_cv_libstdcpp+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -22046,7 +22117,7 @@ done
 LIBS="$cf_add_libs"
 
                cat >conftest.$ac_ext <<_ACEOF
-#line 22049 "configure"
+#line 22120 "configure"
 #include "confdefs.h"
 
                                #include <iostream>
@@ -22060,16 +22131,16 @@ main (void)
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:22063: \"$ac_link\"") >&5
+if { (eval echo "$as_me:22134: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:22066: \$? = $ac_status" >&5
+  echo "$as_me:22137: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:22069: \"$ac_try\"") >&5
+  { (eval echo "$as_me:22140: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:22072: \$? = $ac_status" >&5
+  echo "$as_me:22143: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_libstdcpp=yes
 else
@@ -22081,7 +22152,7 @@ rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
                        LIBS="$cf_save"
 
 fi
-echo "$as_me:22084: result: $cf_cv_libstdcpp" >&5
+echo "$as_me:22155: result: $cf_cv_libstdcpp" >&5
 echo "${ECHO_T}$cf_cv_libstdcpp" >&6
                test "$cf_cv_libstdcpp" = yes && {
 cf_add_libs="-l$cf_stdcpp_libname"
@@ -22103,7 +22174,7 @@ CXXLIBS="$cf_add_libs"
        fi
 fi
 
-       echo "$as_me:22106: checking whether $CXX understands -c and -o together" >&5
+       echo "$as_me:22177: checking whether $CXX understands -c and -o together" >&5
 echo $ECHO_N "checking whether $CXX understands -c and -o together... $ECHO_C" >&6
 if test "${cf_cv_prog_CXX_c_o+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -22118,15 +22189,15 @@ CF_EOF
 # We do the test twice because some compilers refuse to overwrite an
 # existing .o file with -o, though they will create one.
 ac_try='$CXX $CXXFLAGS $CPPFLAGS -c conftest.$ac_ext -o conftest2.$ac_objext >&5'
-if { (eval echo "$as_me:22121: \"$ac_try\"") >&5
+if { (eval echo "$as_me:22192: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:22124: \$? = $ac_status" >&5
+  echo "$as_me:22195: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-  test -f conftest2.$ac_objext && { (eval echo "$as_me:22126: \"$ac_try\"") >&5
+  test -f conftest2.$ac_objext && { (eval echo "$as_me:22197: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:22129: \$? = $ac_status" >&5
+  echo "$as_me:22200: \$? = $ac_status" >&5
   (exit $ac_status); };
 then
   eval cf_cv_prog_CXX_c_o=yes
@@ -22137,10 +22208,10 @@ rm -rf conftest*
 
 fi
 if test $cf_cv_prog_CXX_c_o = yes; then
-  echo "$as_me:22140: result: yes" >&5
+  echo "$as_me:22211: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 else
-  echo "$as_me:22143: result: no" >&5
+  echo "$as_me:22214: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -22160,7 +22231,7 @@ case $cf_cv_system_name in
        ;;
 esac
 if test "$GXX" = yes; then
-       echo "$as_me:22163: checking for lib$cf_gpp_libname" >&5
+       echo "$as_me:22234: checking for lib$cf_gpp_libname" >&5
 echo $ECHO_N "checking for lib$cf_gpp_libname... $ECHO_C" >&6
        cf_save="$LIBS"
 
@@ -22181,7 +22252,7 @@ done
 LIBS="$cf_add_libs"
 
        cat >conftest.$ac_ext <<_ACEOF
-#line 22184 "configure"
+#line 22255 "configure"
 #include "confdefs.h"
 
 #include <$cf_gpp_libname/builtin.h>
@@ -22195,16 +22266,16 @@ two_arg_error_handler_t foo2 = lib_error_handler
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:22198: \"$ac_link\"") >&5
+if { (eval echo "$as_me:22269: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:22201: \$? = $ac_status" >&5
+  echo "$as_me:22272: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:22204: \"$ac_try\"") >&5
+  { (eval echo "$as_me:22275: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:22207: \$? = $ac_status" >&5
+  echo "$as_me:22278: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cxx_library=yes
 
@@ -22241,7 +22312,7 @@ else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 22244 "configure"
+#line 22315 "configure"
 #include "confdefs.h"
 
 #include <builtin.h>
@@ -22255,16 +22326,16 @@ two_arg_error_handler_t foo2 = lib_error_handler
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:22258: \"$ac_link\"") >&5
+if { (eval echo "$as_me:22329: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:22261: \$? = $ac_status" >&5
+  echo "$as_me:22332: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:22264: \"$ac_try\"") >&5
+  { (eval echo "$as_me:22335: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:22267: \$? = $ac_status" >&5
+  echo "$as_me:22338: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cxx_library=yes
 
@@ -22297,7 +22368,7 @@ rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
        LIBS="$cf_save"
-       echo "$as_me:22300: result: $cf_cxx_library" >&5
+       echo "$as_me:22371: result: $cf_cxx_library" >&5
 echo "${ECHO_T}$cf_cxx_library" >&6
 fi
 
@@ -22313,7 +22384,7 @@ ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
 ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 ac_main_return=return
-echo "$as_me:22316: checking how to run the C++ preprocessor" >&5
+echo "$as_me:22387: checking how to run the C++ preprocessor" >&5
 echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6
 if test -z "$CXXCPP"; then
   if test "${ac_cv_prog_CXXCPP+set}" = set; then
   # On the NeXT, cc -E runs the code through the compiler's parser,
   # not just through cpp. "Syntax error" is here to catch this case.
   cat >conftest.$ac_ext <<_ACEOF
-#line 22333 "configure"
+#line 22404 "configure"
 #include "confdefs.h"
 #include <assert.h>
                      Syntax error
 _ACEOF
-if { (eval echo "$as_me:22338: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:22409: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:22344: \$? = $ac_status" >&5
+  echo "$as_me:22415: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -22364,17 +22435,17 @@ rm -f conftest.err conftest.$ac_ext
   # OK, works on sane cases.  Now check whether non-existent headers
   # can be detected and how.
   cat >conftest.$ac_ext <<_ACEOF
-#line 22367 "configure"
+#line 22438 "configure"
 #include "confdefs.h"
 #include <ac_nonexistent.h>
 _ACEOF
-if { (eval echo "$as_me:22371: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:22442: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:22377: \$? = $ac_status" >&5
+  echo "$as_me:22448: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -22411,7 +22482,7 @@ fi
 else
   ac_cv_prog_CXXCPP=$CXXCPP
 fi
-echo "$as_me:22414: result: $CXXCPP" >&5
+echo "$as_me:22485: result: $CXXCPP" >&5
 echo "${ECHO_T}$CXXCPP" >&6
 ac_preproc_ok=false
 for ac_cxx_preproc_warn_flag in '' yes
   # On the NeXT, cc -E runs the code through the compiler's parser,
   # not just through cpp. "Syntax error" is here to catch this case.
   cat >conftest.$ac_ext <<_ACEOF
-#line 22424 "configure"
+#line 22495 "configure"
 #include "confdefs.h"
 #include <assert.h>
                      Syntax error
 _ACEOF
-if { (eval echo "$as_me:22429: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:22500: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:22435: \$? = $ac_status" >&5
+  echo "$as_me:22506: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -22455,17 +22526,17 @@ rm -f conftest.err conftest.$ac_ext
   # OK, works on sane cases.  Now check whether non-existent headers
   # can be detected and how.
   cat >conftest.$ac_ext <<_ACEOF
-#line 22458 "configure"
+#line 22529 "configure"
 #include "confdefs.h"
 #include <ac_nonexistent.h>
 _ACEOF
-if { (eval echo "$as_me:22462: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:22533: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:22468: \$? = $ac_status" >&5
+  echo "$as_me:22539: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -22493,7 +22564,7 @@ rm -f conftest.err conftest.$ac_ext
 if $ac_preproc_ok; then
   :
 else
-  { { echo "$as_me:22496: error: C++ preprocessor \"$CXXCPP\" fails sanity check" >&5
+  { { echo "$as_me:22567: error: C++ preprocessor \"$CXXCPP\" fails sanity check" >&5
 echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check" >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -22508,23 +22579,23 @@ ac_main_return=return
 for ac_header in typeinfo
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:22511: checking for $ac_header" >&5
+echo "$as_me:22582: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 22517 "configure"
+#line 22588 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:22521: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:22592: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:22527: \$? = $ac_status" >&5
+  echo "$as_me:22598: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -22543,7 +22614,7 @@ else
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:22546: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:22617: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -22556,23 +22627,23 @@ done
 for ac_header in iostream
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:22559: checking for $ac_header" >&5
+echo "$as_me:22630: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 22565 "configure"
+#line 22636 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:22569: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:22640: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:22575: \$? = $ac_status" >&5
+  echo "$as_me:22646: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -22591,7 +22662,7 @@ else
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:22594: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:22665: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
 done
 
 if test x"$ac_cv_header_iostream" = xyes ; then
-       echo "$as_me:22605: checking if iostream uses std-namespace" >&5
+       echo "$as_me:22676: checking if iostream uses std-namespace" >&5
 echo $ECHO_N "checking if iostream uses std-namespace... $ECHO_C" >&6
        cat >conftest.$ac_ext <<_ACEOF
-#line 22608 "configure"
+#line 22679 "configure"
 #include "confdefs.h"
 
 #include <iostream>
@@ -22622,16 +22693,16 @@ cerr << "testing" << endl;
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:22625: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:22696: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:22628: \$? = $ac_status" >&5
+  echo "$as_me:22699: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:22631: \"$ac_try\"") >&5
+  { (eval echo "$as_me:22702: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:22634: \$? = $ac_status" >&5
+  echo "$as_me:22705: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_iostream_namespace=yes
 else
@@ -22640,7 +22711,7 @@ cat conftest.$ac_ext >&5
 cf_iostream_namespace=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-       echo "$as_me:22643: result: $cf_iostream_namespace" >&5
+       echo "$as_me:22714: result: $cf_iostream_namespace" >&5
 echo "${ECHO_T}$cf_iostream_namespace" >&6
        if test "$cf_iostream_namespace" = yes ; then
 
@@ -22651,7 +22722,7 @@ EOF
        fi
 fi
 
-echo "$as_me:22654: checking if we should include stdbool.h" >&5
+echo "$as_me:22725: checking if we should include stdbool.h" >&5
 echo $ECHO_N "checking if we should include stdbool.h... $ECHO_C" >&6
 
 if test "${cf_cv_header_stdbool_h+set}" = set; then
@@ -22659,7 +22730,7 @@ if test "${cf_cv_header_stdbool_h+set}" = set; then
 else
 
        cat >conftest.$ac_ext <<_ACEOF
-#line 22662 "configure"
+#line 22733 "configure"
 #include "confdefs.h"
 
 int
@@ -22671,23 +22742,23 @@ bool foo = false
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:22674: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:22745: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:22677: \$? = $ac_status" >&5
+  echo "$as_me:22748: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:22680: \"$ac_try\"") >&5
+  { (eval echo "$as_me:22751: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:22683: \$? = $ac_status" >&5
+  echo "$as_me:22754: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_header_stdbool_h=0
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 22690 "configure"
+#line 22761 "configure"
 #include "confdefs.h"
 
 #ifndef __BEOS__
@@ -22703,16 +22774,16 @@ bool foo = false
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:22706: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:22777: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:22709: \$? = $ac_status" >&5
+  echo "$as_me:22780: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:22712: \"$ac_try\"") >&5
+  { (eval echo "$as_me:22783: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:22715: \$? = $ac_status" >&5
+  echo "$as_me:22786: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_header_stdbool_h=1
 else
@@ -22726,13 +22797,13 @@ rm -f conftest.$ac_objext conftest.$ac_ext
 fi
 
 if test "$cf_cv_header_stdbool_h" = 1
-then   echo "$as_me:22729: result: yes" >&5
+then   echo "$as_me:22800: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-else   echo "$as_me:22731: result: no" >&5
+else   echo "$as_me:22802: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
-echo "$as_me:22735: checking for builtin bool type" >&5
+echo "$as_me:22806: checking for builtin bool type" >&5
 echo $ECHO_N "checking for builtin bool type... $ECHO_C" >&6
 
 if test "${cf_cv_builtin_bool+set}" = set; then
@@ -22740,7 +22811,7 @@ if test "${cf_cv_builtin_bool+set}" = set; then
 else
 
        cat >conftest.$ac_ext <<_ACEOF
-#line 22743 "configure"
+#line 22814 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -22755,16 +22826,16 @@ bool x = false
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:22758: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:22829: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:22761: \$? = $ac_status" >&5
+  echo "$as_me:22832: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:22764: \"$ac_try\"") >&5
+  { (eval echo "$as_me:22835: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:22767: \$? = $ac_status" >&5
+  echo "$as_me:22838: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_builtin_bool=1
 else
@@ -22777,13 +22848,13 @@ rm -f conftest.$ac_objext conftest.$ac_ext
 fi
 
 if test "$cf_cv_builtin_bool" = 1
-then   echo "$as_me:22780: result: yes" >&5
+then   echo "$as_me:22851: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-else   echo "$as_me:22782: result: no" >&5
+else   echo "$as_me:22853: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
-echo "$as_me:22786: checking for size of bool" >&5
+echo "$as_me:22857: checking for size of bool" >&5
 echo $ECHO_N "checking for size of bool... $ECHO_C" >&6
 if test "${cf_cv_type_of_bool+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -22794,7 +22865,7 @@ else
   cf_cv_type_of_bool=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 22797 "configure"
+#line 22868 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -22836,15 +22907,15 @@ int main(void)
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:22839: \"$ac_link\"") >&5
+if { (eval echo "$as_me:22910: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:22842: \$? = $ac_status" >&5
+  echo "$as_me:22913: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:22844: \"$ac_try\"") >&5
+  { (eval echo "$as_me:22915: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:22847: \$? = $ac_status" >&5
+  echo "$as_me:22918: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_type_of_bool=`cat cf_test.out`
                 if test -z "$cf_cv_type_of_bool"; then
 fi
 
        rm -f cf_test.out
-echo "$as_me:22865: result: $cf_cv_type_of_bool" >&5
+echo "$as_me:22936: result: $cf_cv_type_of_bool" >&5
 echo "${ECHO_T}$cf_cv_type_of_bool" >&6
 if test "$cf_cv_type_of_bool" = unknown ; then
        case .$NCURSES_BOOL in
        (.auto|.) NCURSES_BOOL=unsigned;;
        esac
-       { echo "$as_me:22871: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
+       { echo "$as_me:22942: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
 echo "$as_me: WARNING: Assuming $NCURSES_BOOL for type of bool" >&2;}
        cf_cv_type_of_bool=$NCURSES_BOOL
 fi
 
-echo "$as_me:22876: checking for special defines needed for etip.h" >&5
+echo "$as_me:22947: checking for special defines needed for etip.h" >&5
 echo $ECHO_N "checking for special defines needed for etip.h... $ECHO_C" >&6
 cf_save_CXXFLAGS="$CXXFLAGS"
 cf_result="none"
@@ -22891,7 +22962,7 @@ do
        test -n "$cf_math" && CXXFLAGS="$CXXFLAGS -DETIP_NEEDS_${cf_math}"
        test -n "$cf_excp" && CXXFLAGS="$CXXFLAGS -DETIP_NEEDS_${cf_excp}"
 cat >conftest.$ac_ext <<_ACEOF
-#line 22894 "configure"
+#line 22965 "configure"
 #include "confdefs.h"
 
 #include <etip.h.in>
@@ -22905,16 +22976,16 @@ main (void)
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:22908: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:22979: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:22911: \$? = $ac_status" >&5
+  echo "$as_me:22982: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:22914: \"$ac_try\"") >&5
+  { (eval echo "$as_me:22985: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:22917: \$? = $ac_status" >&5
+  echo "$as_me:22988: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
        test -n "$cf_math" && cat >>confdefs.h <<EOF
 rm -f conftest.$ac_objext conftest.$ac_ext
 done
 done
-echo "$as_me:22938: result: $cf_result" >&5
+echo "$as_me:23009: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 CXXFLAGS="$cf_save_CXXFLAGS"
 
 if test -n "$CXX"; then
-echo "$as_me:22943: checking if $CXX accepts parameter initialization" >&5
+echo "$as_me:23014: checking if $CXX accepts parameter initialization" >&5
 echo $ECHO_N "checking if $CXX accepts parameter initialization... $ECHO_C" >&6
 if test "${cf_cv_cpp_param_init+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -22957,7 +23028,7 @@ ac_main_return=return
   cf_cv_cpp_param_init=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 22960 "configure"
+#line 23031 "configure"
 #include "confdefs.h"
 
 class TEST {
@@ -22976,15 +23047,15 @@ int main(void) { }
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:22979: \"$ac_link\"") >&5
+if { (eval echo "$as_me:23050: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:22982: \$? = $ac_status" >&5
+  echo "$as_me:23053: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:22984: \"$ac_try\"") >&5
+  { (eval echo "$as_me:23055: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:22987: \$? = $ac_status" >&5
+  echo "$as_me:23058: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cpp_param_init=yes
 else
@@ -23003,7 +23074,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 ac_main_return=return
 
 fi
-echo "$as_me:23006: result: $cf_cv_cpp_param_init" >&5
+echo "$as_me:23077: result: $cf_cv_cpp_param_init" >&5
 echo "${ECHO_T}$cf_cv_cpp_param_init" >&6
 fi
 test "$cf_cv_cpp_param_init" = yes &&
@@ -23013,7 +23084,7 @@ EOF
 
 if test -n "$CXX"; then
 
-echo "$as_me:23016: checking if $CXX accepts static_cast" >&5
+echo "$as_me:23087: checking if $CXX accepts static_cast" >&5
 echo $ECHO_N "checking if $CXX accepts static_cast... $ECHO_C" >&6
 if test "${cf_cv_cpp_static_cast+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -23027,7 +23098,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 ac_main_return=return
 
        cat >conftest.$ac_ext <<_ACEOF
-#line 23030 "configure"
+#line 23101 "configure"
 #include "confdefs.h"
 
 class NCursesPanel
@@ -23071,16 +23142,16 @@ main (void)
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:23074: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:23145: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:23077: \$? = $ac_status" >&5
+  echo "$as_me:23148: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:23080: \"$ac_try\"") >&5
+  { (eval echo "$as_me:23151: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:23083: \$? = $ac_status" >&5
+  echo "$as_me:23154: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cpp_static_cast=yes
 else
@@ -23098,7 +23169,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 ac_main_return=return
 
 fi
-echo "$as_me:23101: result: $cf_cv_cpp_static_cast" >&5
+echo "$as_me:23172: result: $cf_cv_cpp_static_cast" >&5
 echo "${ECHO_T}$cf_cv_cpp_static_cast" >&6
 
 fi
@@ -23147,7 +23218,7 @@ else
        else
                if test "$cf_cv_header_stdbool_h" = 1 ; then
 
-echo "$as_me:23150: checking for size of bool" >&5
+echo "$as_me:23221: checking for size of bool" >&5
 echo $ECHO_N "checking for size of bool... $ECHO_C" >&6
 if test "${cf_cv_type_of_bool+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -23158,7 +23229,7 @@ else
   cf_cv_type_of_bool=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 23161 "configure"
+#line 23232 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -23200,15 +23271,15 @@ int main(void)
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:23203: \"$ac_link\"") >&5
+if { (eval echo "$as_me:23274: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:23206: \$? = $ac_status" >&5
+  echo "$as_me:23277: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:23208: \"$ac_try\"") >&5
+  { (eval echo "$as_me:23279: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:23211: \$? = $ac_status" >&5
+  echo "$as_me:23282: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_type_of_bool=`cat cf_test.out`
                 if test -z "$cf_cv_type_of_bool"; then
 fi
 
        rm -f cf_test.out
-echo "$as_me:23229: result: $cf_cv_type_of_bool" >&5
+echo "$as_me:23300: result: $cf_cv_type_of_bool" >&5
 echo "${ECHO_T}$cf_cv_type_of_bool" >&6
 if test "$cf_cv_type_of_bool" = unknown ; then
        case .$NCURSES_BOOL in
        (.auto|.) NCURSES_BOOL=unsigned;;
        esac
-       { echo "$as_me:23235: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
+       { echo "$as_me:23306: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
 echo "$as_me: WARNING: Assuming $NCURSES_BOOL for type of bool" >&2;}
        cf_cv_type_of_bool=$NCURSES_BOOL
 fi
 
                else
-                       echo "$as_me:23241: checking for fallback type of bool" >&5
+                       echo "$as_me:23312: checking for fallback type of bool" >&5
 echo $ECHO_N "checking for fallback type of bool... $ECHO_C" >&6
                        case "$host_cpu" in
                        (i?86)  cf_cv_type_of_bool=char ;;
                        (*)     cf_cv_type_of_bool=int  ;;
                        esac
-                       echo "$as_me:23247: result: $cf_cv_type_of_bool" >&5
+                       echo "$as_me:23318: result: $cf_cv_type_of_bool" >&5
 echo "${ECHO_T}$cf_cv_type_of_bool" >&6
                fi
        fi
@@ -23273,7 +23344,7 @@ if test -f "${srcdir}/Ada95/Makefile.in" ; then
 
        if test "$cf_with_ada" != "no" ; then
                if test "$with_libtool" != "no"; then
-                       { echo "$as_me:23276: WARNING: libtool does not support Ada - disabling feature" >&5
+                       { echo "$as_me:23347: WARNING: libtool does not support Ada - disabling feature" >&5
 echo "$as_me: WARNING: libtool does not support Ada - disabling feature" >&2;}
                        cf_with_ada=no
                fi
@@ -23285,7 +23356,7 @@ cf_ada_make=gnatmake
 cf_ada_config="#"
 # Extract the first word of "$cf_ada_make", so it can be a program name with args.
 set dummy $cf_ada_make; ac_word=$2
-echo "$as_me:23288: checking for $ac_word" >&5
+echo "$as_me:23359: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_gnatmake_exists+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -23300,7 +23371,7 @@ for ac_dir in $ac_dummy; do
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_gnatmake_exists="yes"
-echo "$as_me:23303: found $ac_dir/$ac_word" >&5
+echo "$as_me:23374: found $ac_dir/$ac_word" >&5
 break
 done
 
 fi
 gnatmake_exists=$ac_cv_prog_gnatmake_exists
 if test -n "$gnatmake_exists"; then
-  echo "$as_me:23312: result: $gnatmake_exists" >&5
+  echo "$as_me:23383: result: $gnatmake_exists" >&5
 echo "${ECHO_T}$gnatmake_exists" >&6
 else
-  echo "$as_me:23315: result: no" >&5
+  echo "$as_me:23386: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -23322,7 +23393,7 @@ if test "$ac_cv_prog_gnatmake_exists" = no; then
 else
        # Extract the first word of "gprconfig", so it can be a program name with args.
 set dummy gprconfig; ac_word=$2
-echo "$as_me:23325: checking for $ac_word" >&5
+echo "$as_me:23396: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_gprconfig_exists+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -23337,7 +23408,7 @@ for ac_dir in $ac_dummy; do
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_gprconfig_exists="yes"
-echo "$as_me:23340: found $ac_dir/$ac_word" >&5
+echo "$as_me:23411: found $ac_dir/$ac_word" >&5
 break
 done
 
 fi
 gprconfig_exists=$ac_cv_prog_gprconfig_exists
 if test -n "$gprconfig_exists"; then
-  echo "$as_me:23349: result: $gprconfig_exists" >&5
+  echo "$as_me:23420: result: $gprconfig_exists" >&5
 echo "${ECHO_T}$gprconfig_exists" >&6
 else
-  echo "$as_me:23352: result: no" >&5
+  echo "$as_me:23423: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -23362,7 +23433,7 @@ fi
                        cd conftest.src
                        for cf_gprconfig in Ada C
                        do
-                               echo "$as_me:23365: checking for gprconfig name for $cf_gprconfig" >&5
+                               echo "$as_me:23436: checking for gprconfig name for $cf_gprconfig" >&5
 echo $ECHO_N "checking for gprconfig name for $cf_gprconfig... $ECHO_C" >&6
                                if test $cf_gprconfig = C
                                then
@@ -23381,10 +23452,10 @@ echo $ECHO_N "checking for gprconfig name for $cf_gprconfig... $ECHO_C" >&6
                                if test -n "$cf_gprconfig_value"
                                then
                                        eval cf_ada_config_$cf_gprconfig=$cf_gprconfig_value
-                                       echo "$as_me:23384: result: $cf_gprconfig_value" >&5
+                                       echo "$as_me:23455: result: $cf_gprconfig_value" >&5
 echo "${ECHO_T}$cf_gprconfig_value" >&6
                                else
-                                       echo "$as_me:23387: result: missing" >&5
+                                       echo "$as_me:23458: result: missing" >&5
 echo "${ECHO_T}missing" >&6
                                        cf_ada_config="#"
                                        break
@@ -23400,12 +23471,12 @@ echo "${ECHO_T}missing" >&6
        if test "x$cf_ada_config" != "x#"
        then
 
-echo "$as_me:23403: checking for gnat version" >&5
+echo "$as_me:23474: checking for gnat version" >&5
 echo $ECHO_N "checking for gnat version... $ECHO_C" >&6
 cf_gnat_version=`${cf_ada_make:-gnatmake} -v 2>&1 | \
        grep '[0-9].[0-9][0-9]*' |\
        sed -e '2,$d' -e 's/[^0-9 \.]//g' -e 's/^[ ]*//' -e 's/ .*//'`
-echo "$as_me:23408: result: $cf_gnat_version" >&5
+echo "$as_me:23479: result: $cf_gnat_version" >&5
 echo "${ECHO_T}$cf_gnat_version" >&6
 
 case $cf_gnat_version in
@@ -23413,7 +23484,7 @@ case $cf_gnat_version in
        cf_cv_prog_gnat_correct=yes
        ;;
 (*)
-       { echo "$as_me:23416: WARNING: Unsupported GNAT version $cf_gnat_version. We require 3.11 or better. Disabling Ada95 binding." >&5
+       { echo "$as_me:23487: WARNING: Unsupported GNAT version $cf_gnat_version. We require 3.11 or better. Disabling Ada95 binding." >&5
 echo "$as_me: WARNING: Unsupported GNAT version $cf_gnat_version. We require 3.11 or better. Disabling Ada95 binding." >&2;}
        cf_cv_prog_gnat_correct=no
        ;;
@@ -23421,7 +23492,7 @@ esac
 
                # Extract the first word of "m4", so it can be a program name with args.
 set dummy m4; ac_word=$2
-echo "$as_me:23424: checking for $ac_word" >&5
+echo "$as_me:23495: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_M4_exists+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -23436,7 +23507,7 @@ for ac_dir in $ac_dummy; do
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_M4_exists="yes"
-echo "$as_me:23439: found $ac_dir/$ac_word" >&5
+echo "$as_me:23510: found $ac_dir/$ac_word" >&5
 break
 done
 
 fi
 M4_exists=$ac_cv_prog_M4_exists
 if test -n "$M4_exists"; then
-  echo "$as_me:23448: result: $M4_exists" >&5
+  echo "$as_me:23519: result: $M4_exists" >&5
 echo "${ECHO_T}$M4_exists" >&6
 else
-  echo "$as_me:23451: result: no" >&5
+  echo "$as_me:23522: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -23457,7 +23528,7 @@ fi
                        echo Ada95 binding required program m4 not found. Ada95 binding disabled.
                fi
                if test "$cf_cv_prog_gnat_correct" = yes; then
-                       echo "$as_me:23460: checking if GNAT works" >&5
+                       echo "$as_me:23531: checking if GNAT works" >&5
 echo $ECHO_N "checking if GNAT works... $ECHO_C" >&6
 
 rm -rf conftest* *~conftest*
@@ -23485,7 +23556,7 @@ else
 fi
 rm -rf conftest* *~conftest*
 
-                       echo "$as_me:23488: result: $cf_cv_prog_gnat_correct" >&5
+                       echo "$as_me:23559: result: $cf_cv_prog_gnat_correct" >&5
 echo "${ECHO_T}$cf_cv_prog_gnat_correct" >&6
                fi
        else
@@ -23497,7 +23568,7 @@ fi
 
        ADAFLAGS="$ADAFLAGS -gnatpn"
 
-       echo "$as_me:23500: checking optimization options for ADAFLAGS" >&5
+       echo "$as_me:23571: checking optimization options for ADAFLAGS" >&5
 echo $ECHO_N "checking optimization options for ADAFLAGS... $ECHO_C" >&6
        case "$CFLAGS" in
        (*-g*)
@@ -23514,10 +23585,10 @@ echo $ECHO_N "checking optimization options for ADAFLAGS... $ECHO_C" >&6
 
                ;;
        esac
-       echo "$as_me:23517: result: $ADAFLAGS" >&5
+       echo "$as_me:23588: result: $ADAFLAGS" >&5
 echo "${ECHO_T}$ADAFLAGS" >&6
 
-echo "$as_me:23520: checking if GNATPREP supports -T option" >&5
+echo "$as_me:23591: checking if GNATPREP supports -T option" >&5
 echo $ECHO_N "checking if GNATPREP supports -T option... $ECHO_C" >&6
 if test "${cf_cv_gnatprep_opt_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -23527,11 +23598,11 @@ cf_cv_gnatprep_opt_t=no
 gnatprep -T 2>/dev/null >/dev/null && cf_cv_gnatprep_opt_t=yes
 
 fi
-echo "$as_me:23530: result: $cf_cv_gnatprep_opt_t" >&5
+echo "$as_me:23601: result: $cf_cv_gnatprep_opt_t" >&5
 echo "${ECHO_T}$cf_cv_gnatprep_opt_t" >&6
 test "$cf_cv_gnatprep_opt_t" = yes && GNATPREP_OPTS="-T $GNATPREP_OPTS"
 
-echo "$as_me:23534: checking if GNAT supports generics" >&5
+echo "$as_me:23605: checking if GNAT supports generics" >&5
 echo $ECHO_N "checking if GNAT supports generics... $ECHO_C" >&6
 case $cf_gnat_version in
 (3.[1-9]*|[4-9].*)
@@ -23541,7 +23612,7 @@ case $cf_gnat_version in
        cf_gnat_generics=no
        ;;
 esac
-echo "$as_me:23544: result: $cf_gnat_generics" >&5
+echo "$as_me:23615: result: $cf_gnat_generics" >&5
 echo "${ECHO_T}$cf_gnat_generics" >&6
 
 if test "$cf_gnat_generics" = yes
@@ -23553,7 +23624,7 @@ else
        cf_generic_objects=
 fi
 
-echo "$as_me:23556: checking if GNAT supports SIGINT" >&5
+echo "$as_me:23627: checking if GNAT supports SIGINT" >&5
 echo $ECHO_N "checking if GNAT supports SIGINT... $ECHO_C" >&6
 if test "${cf_cv_gnat_sigint+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -23601,7 +23672,7 @@ fi
 rm -rf conftest* *~conftest*
 
 fi
-echo "$as_me:23604: result: $cf_cv_gnat_sigint" >&5
+echo "$as_me:23675: result: $cf_cv_gnat_sigint" >&5
 echo "${ECHO_T}$cf_cv_gnat_sigint" >&6
 
 if test $cf_cv_gnat_sigint = yes ; then
@@ -23614,7 +23685,7 @@ cf_gnat_libraries=no
 cf_gnat_projects=no
 
 if test "$enable_gnat_projects" != no ; then
-echo "$as_me:23617: checking if GNAT supports project files" >&5
+echo "$as_me:23688: checking if GNAT supports project files" >&5
 echo $ECHO_N "checking if GNAT supports project files... $ECHO_C" >&6
 case $cf_gnat_version in
 (3.[0-9]*)
@@ -23677,15 +23748,15 @@ CF_EOF
        esac
        ;;
 esac
-echo "$as_me:23680: result: $cf_gnat_projects" >&5
+echo "$as_me:23751: result: $cf_gnat_projects" >&5
 echo "${ECHO_T}$cf_gnat_projects" >&6
 fi # enable_gnat_projects
 
 if test $cf_gnat_projects = yes
 then
-       echo "$as_me:23686: checking if GNAT supports libraries" >&5
+       echo "$as_me:23757: checking if GNAT supports libraries" >&5
 echo $ECHO_N "checking if GNAT supports libraries... $ECHO_C" >&6
-       echo "$as_me:23688: result: $cf_gnat_libraries" >&5
+       echo "$as_me:23759: result: $cf_gnat_libraries" >&5
 echo "${ECHO_T}$cf_gnat_libraries" >&6
 fi
 
@@ -23705,7 +23776,7 @@ else
        USE_GNAT_LIBRARIES="#"
 fi
 
-echo "$as_me:23708: checking for ada-compiler" >&5
+echo "$as_me:23779: checking for ada-compiler" >&5
 echo $ECHO_N "checking for ada-compiler... $ECHO_C" >&6
 
 # Check whether --with-ada-compiler or --without-ada-compiler was given.
@@ -23716,12 +23787,12 @@ else
   cf_ada_compiler=gnatmake
 fi;
 
-echo "$as_me:23719: result: $cf_ada_compiler" >&5
+echo "$as_me:23790: result: $cf_ada_compiler" >&5
 echo "${ECHO_T}$cf_ada_compiler" >&6
 
                        cf_ada_package=terminal_interface
 
-echo "$as_me:23724: checking for ada-include" >&5
+echo "$as_me:23795: checking for ada-include" >&5
 echo $ECHO_N "checking for ada-include... $ECHO_C" >&6
 
 # Check whether --with-ada-include or --without-ada-include was given.
@@ -23757,7 +23828,7 @@ case ".$withval" in
        withval=`echo $withval | sed -e s%NONE%$cf_path_syntax%`
        ;;
 (*)
-       { { echo "$as_me:23760: error: expected a pathname, not \"$withval\"" >&5
+       { { echo "$as_me:23831: error: expected a pathname, not \"$withval\"" >&5
 echo "$as_me: error: expected a pathname, not \"$withval\"" >&2;}
    { (exit 1); exit 1; }; }
        ;;
@@ -23766,10 +23837,10 @@ esac
 fi
 eval ADA_INCLUDE="$withval"
 
-echo "$as_me:23769: result: $ADA_INCLUDE" >&5
+echo "$as_me:23840: result: $ADA_INCLUDE" >&5
 echo "${ECHO_T}$ADA_INCLUDE" >&6
 
-echo "$as_me:23772: checking for ada-objects" >&5
+echo "$as_me:23843: checking for ada-objects" >&5
 echo $ECHO_N "checking for ada-objects... $ECHO_C" >&6
 
 # Check whether --with-ada-objects or --without-ada-objects was given.
@@ -23805,7 +23876,7 @@ case ".$withval" in
        withval=`echo $withval | sed -e s%NONE%$cf_path_syntax%`
        ;;
 (*)
-       { { echo "$as_me:23808: error: expected a pathname, not \"$withval\"" >&5
+       { { echo "$as_me:23879: error: expected a pathname, not \"$withval\"" >&5
 echo "$as_me: error: expected a pathname, not \"$withval\"" >&2;}
    { (exit 1); exit 1; }; }
        ;;
@@ -23814,10 +23885,10 @@ esac
 fi
 eval ADA_OBJECTS="$withval"
 
-echo "$as_me:23817: result: $ADA_OBJECTS" >&5
+echo "$as_me:23888: result: $ADA_OBJECTS" >&5
 echo "${ECHO_T}$ADA_OBJECTS" >&6
 
-echo "$as_me:23820: checking if an Ada95 shared-library should be built" >&5
+echo "$as_me:23891: checking if an Ada95 shared-library should be built" >&5
 echo $ECHO_N "checking if an Ada95 shared-library should be built... $ECHO_C" >&6
 
 # Check whether --with-ada-sharedlib or --without-ada-sharedlib was given.
@@ -23827,14 +23898,14 @@ if test "${with_ada_sharedlib+set}" = set; then
 else
   with_ada_sharedlib=no
 fi;
-echo "$as_me:23830: result: $with_ada_sharedlib" >&5
+echo "$as_me:23901: result: $with_ada_sharedlib" >&5
 echo "${ECHO_T}$with_ada_sharedlib" >&6
 
 if test "x$with_ada_sharedlib" != xno
 then
        if test "x$cf_gnat_projects" != xyes
        then
-               { echo "$as_me:23837: WARNING: disabling shared-library since GNAT projects are not supported" >&5
+               { echo "$as_me:23908: WARNING: disabling shared-library since GNAT projects are not supported" >&5
 echo "$as_me: WARNING: disabling shared-library since GNAT projects are not supported" >&2;}
                with_ada_sharedlib=no
        fi
 
 # do this "late" to avoid conflict with header-checks
 if test "x$with_widec" = xyes ; then
-       echo "$as_me:23863: checking for wchar_t" >&5
+       echo "$as_me:23934: checking for wchar_t" >&5
 echo $ECHO_N "checking for wchar_t... $ECHO_C" >&6
 if test "${ac_cv_type_wchar_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 23869 "configure"
+#line 23940 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -23881,16 +23952,16 @@ if (sizeof (wchar_t))
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:23884: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:23955: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:23887: \$? = $ac_status" >&5
+  echo "$as_me:23958: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:23890: \"$ac_try\"") >&5
+  { (eval echo "$as_me:23961: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:23893: \$? = $ac_status" >&5
+  echo "$as_me:23964: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_type_wchar_t=yes
 else
@@ -23900,10 +23971,10 @@ ac_cv_type_wchar_t=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:23903: result: $ac_cv_type_wchar_t" >&5
+echo "$as_me:23974: result: $ac_cv_type_wchar_t" >&5
 echo "${ECHO_T}$ac_cv_type_wchar_t" >&6
 
-echo "$as_me:23906: checking size of wchar_t" >&5
+echo "$as_me:23977: checking size of wchar_t" >&5
 echo $ECHO_N "checking size of wchar_t... $ECHO_C" >&6
 if test "${ac_cv_sizeof_wchar_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -23912,7 +23983,7 @@ else
   if test "$cross_compiling" = yes; then
   # Depending upon the size, compute the lo and hi bounds.
 cat >conftest.$ac_ext <<_ACEOF
-#line 23915 "configure"
+#line 23986 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -23924,21 +23995,21 @@ int _array_ [1 - 2 * !((sizeof (wchar_t)) >= 0)]
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:23927: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:23998: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:23930: \$? = $ac_status" >&5
+  echo "$as_me:24001: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:23933: \"$ac_try\"") >&5
+  { (eval echo "$as_me:24004: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:23936: \$? = $ac_status" >&5
+  echo "$as_me:24007: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_lo=0 ac_mid=0
   while :; do
     cat >conftest.$ac_ext <<_ACEOF
-#line 23941 "configure"
+#line 24012 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -23950,16 +24021,16 @@ int _array_ [1 - 2 * !((sizeof (wchar_t)) <= $ac_mid)]
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:23953: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:24024: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:23956: \$? = $ac_status" >&5
+  echo "$as_me:24027: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:23959: \"$ac_try\"") >&5
+  { (eval echo "$as_me:24030: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:23962: \$? = $ac_status" >&5
+  echo "$as_me:24033: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_hi=$ac_mid; break
 else
@@ -23975,7 +24046,7 @@ cat conftest.$ac_ext >&5
 ac_hi=-1 ac_mid=-1
   while :; do
     cat >conftest.$ac_ext <<_ACEOF
-#line 23978 "configure"
+#line 24049 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -23987,16 +24058,16 @@ int _array_ [1 - 2 * !((sizeof (wchar_t)) >= $ac_mid)]
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:23990: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:24061: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:23993: \$? = $ac_status" >&5
+  echo "$as_me:24064: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:23996: \"$ac_try\"") >&5
+  { (eval echo "$as_me:24067: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:23999: \$? = $ac_status" >&5
+  echo "$as_me:24070: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_lo=$ac_mid; break
 else
@@ -24012,7 +24083,7 @@ rm -f conftest.$ac_objext conftest.$ac_ext
 while test "x$ac_lo" != "x$ac_hi"; do
   ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo`
   cat >conftest.$ac_ext <<_ACEOF
-#line 24015 "configure"
+#line 24086 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -24024,16 +24095,16 @@ int _array_ [1 - 2 * !((sizeof (wchar_t)) <= $ac_mid)]
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:24027: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:24098: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:24030: \$? = $ac_status" >&5
+  echo "$as_me:24101: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:24033: \"$ac_try\"") >&5
+  { (eval echo "$as_me:24104: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:24036: \$? = $ac_status" >&5
+  echo "$as_me:24107: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_hi=$ac_mid
 else
@@ -24046,12 +24117,12 @@ done
 ac_cv_sizeof_wchar_t=$ac_lo
 else
   if test "$cross_compiling" = yes; then
-  { { echo "$as_me:24049: error: cannot run test program while cross compiling" >&5
+  { { echo "$as_me:24120: error: cannot run test program while cross compiling" >&5
 echo "$as_me: error: cannot run test program while cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 24054 "configure"
+#line 24125 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -24067,15 +24138,15 @@ fclose (f);
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:24070: \"$ac_link\"") >&5
+if { (eval echo "$as_me:24141: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:24073: \$? = $ac_status" >&5
+  echo "$as_me:24144: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:24075: \"$ac_try\"") >&5
+  { (eval echo "$as_me:24146: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:24078: \$? = $ac_status" >&5
+  echo "$as_me:24149: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_sizeof_wchar_t=`cat conftest.val`
 else
@@ -24091,7 +24162,7 @@ else
   ac_cv_sizeof_wchar_t=0
 fi
 fi
-echo "$as_me:24094: result: $ac_cv_sizeof_wchar_t" >&5
+echo "$as_me:24165: result: $ac_cv_sizeof_wchar_t" >&5
 echo "${ECHO_T}$ac_cv_sizeof_wchar_t" >&6
 cat >>confdefs.h <<EOF
 #define SIZEOF_WCHAR_T $ac_cv_sizeof_wchar_t
@@ -24109,7 +24180,7 @@ fi
 ### chooses to split module lists into libraries.
 ###
 ### (see CF_LIB_RULES).
-echo "$as_me:24112: checking for library subsets" >&5
+echo "$as_me:24183: checking for library subsets" >&5
 echo $ECHO_N "checking for library subsets... $ECHO_C" >&6
 LIB_SUBSETS=
 
@@ -24151,7 +24222,7 @@ fi
 test "x$with_widec"     = xyes && LIB_SUBSETS="${LIB_SUBSETS}+widechar"
 test "x$with_ext_funcs" = xyes && LIB_SUBSETS="${LIB_SUBSETS}+ext_funcs"
 
-echo "$as_me:24154: result: $LIB_SUBSETS" >&5
+echo "$as_me:24225: result: $LIB_SUBSETS" >&5
 echo "${ECHO_T}$LIB_SUBSETS" >&6
 
 ### Construct the list of include-directories to be generated
@@ -24182,7 +24253,7 @@ elif test "$includedir" != "/usr/include"; then
 fi
 
 ### Build up pieces for makefile rules
-echo "$as_me:24185: checking default library suffix" >&5
+echo "$as_me:24256: checking default library suffix" >&5
 echo $ECHO_N "checking default library suffix... $ECHO_C" >&6
 
        case $DFT_LWR_MODEL in
@@ -24193,10 +24264,10 @@ echo $ECHO_N "checking default library suffix... $ECHO_C" >&6
        (shared)  DFT_ARG_SUFFIX=''   ;;
        esac
        test -n "$LIB_SUFFIX" && DFT_ARG_SUFFIX="${LIB_SUFFIX}${DFT_ARG_SUFFIX}"
-echo "$as_me:24196: result: $DFT_ARG_SUFFIX" >&5
+echo "$as_me:24267: result: $DFT_ARG_SUFFIX" >&5
 echo "${ECHO_T}$DFT_ARG_SUFFIX" >&6
 
-echo "$as_me:24199: checking default library-dependency suffix" >&5
+echo "$as_me:24270: checking default library-dependency suffix" >&5
 echo $ECHO_N "checking default library-dependency suffix... $ECHO_C" >&6
 
        case X$DFT_LWR_MODEL in
@@ -24254,10 +24325,10 @@ echo $ECHO_N "checking default library-dependency suffix... $ECHO_C" >&6
                DFT_LIB_SUFFIX="${LIB_SUFFIX}${EXTRA_SUFFIX}${DFT_LIB_SUFFIX}"
                DFT_DEP_SUFFIX="${LIB_SUFFIX}${EXTRA_SUFFIX}${DFT_DEP_SUFFIX}"
        fi
-echo "$as_me:24257: result: $DFT_DEP_SUFFIX" >&5
+echo "$as_me:24328: result: $DFT_DEP_SUFFIX" >&5
 echo "${ECHO_T}$DFT_DEP_SUFFIX" >&6
 
-echo "$as_me:24260: checking default object directory" >&5
+echo "$as_me:24331: checking default object directory" >&5
 echo $ECHO_N "checking default object directory... $ECHO_C" >&6
 
        case $DFT_LWR_MODEL in
@@ -24273,11 +24344,11 @@ echo $ECHO_N "checking default object directory... $ECHO_C" >&6
                        DFT_OBJ_SUBDIR='obj_s' ;;
                esac
        esac
-echo "$as_me:24276: result: $DFT_OBJ_SUBDIR" >&5
+echo "$as_me:24347: result: $DFT_OBJ_SUBDIR" >&5
 echo "${ECHO_T}$DFT_OBJ_SUBDIR" >&6
 
 if test "x$cf_with_cxx" = xyes ; then
-echo "$as_me:24280: checking c++ library-dependency suffix" >&5
+echo "$as_me:24351: checking c++ library-dependency suffix" >&5
 echo $ECHO_N "checking c++ library-dependency suffix... $ECHO_C" >&6
 if test "$with_libtool" != "no"; then
        # libtool thinks it can make c++ shared libraries (perhaps only g++)
@@ -24345,7 +24416,7 @@ else
        fi
 
 fi
-echo "$as_me:24348: result: $CXX_LIB_SUFFIX" >&5
+echo "$as_me:24419: result: $CXX_LIB_SUFFIX" >&5
 echo "${ECHO_T}$CXX_LIB_SUFFIX" >&6
 
 fi
 
 if test -n "$LDFLAGS_STATIC" && test -n "$LDFLAGS_SHARED"
 then
-       echo "$as_me:24524: checking if linker supports switching between static/dynamic" >&5
+       echo "$as_me:24595: checking if linker supports switching between static/dynamic" >&5
 echo $ECHO_N "checking if linker supports switching between static/dynamic... $ECHO_C" >&6
 
        rm -f libconftest.a
        cat >conftest.$ac_ext <<EOF
-#line 24529 "configure"
+#line 24600 "configure"
 #include <stdio.h>
 int cf_ldflags_static(FILE *fp) { return fflush(fp); }
 EOF
-       if { (eval echo "$as_me:24533: \"$ac_compile\"") >&5
+       if { (eval echo "$as_me:24604: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:24536: \$? = $ac_status" >&5
+  echo "$as_me:24607: \$? = $ac_status" >&5
   (exit $ac_status); } ; then
                ( $AR $ARFLAGS libconftest.a conftest.o ) 2>&5 1>/dev/null
                ( eval $RANLIB libconftest.a ) 2>&5 >/dev/null
@@ -24544,10 +24615,10 @@ EOF
 
        LIBS="$LDFLAGS_STATIC -L`pwd` -lconftest $LDFLAGS_DYNAMIC $LIBS"
        cat >conftest.$ac_ext <<_ACEOF
-#line 24547 "configure"
+#line 24618 "configure"
 #include "confdefs.h"
 
-#line 24550 "configure"
+#line 24621 "configure"
 #include <stdio.h>
 int cf_ldflags_static(FILE *fp);
 
@@ -24562,16 +24633,16 @@ main (void)
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:24565: \"$ac_link\"") >&5
+if { (eval echo "$as_me:24636: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:24568: \$? = $ac_status" >&5
+  echo "$as_me:24639: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:24571: \"$ac_try\"") >&5
+  { (eval echo "$as_me:24642: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:24574: \$? = $ac_status" >&5
+  echo "$as_me:24645: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
        # some linkers simply ignore the -dynamic
@@ -24594,7 +24665,7 @@ rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
        rm -f libconftest.*
        LIBS="$cf_save_LIBS"
 
-       echo "$as_me:24597: result: $cf_ldflags_static" >&5
+       echo "$as_me:24668: result: $cf_ldflags_static" >&5
 echo "${ECHO_T}$cf_ldflags_static" >&6
 
        if test $cf_ldflags_static != yes
@@ -24610,7 +24681,7 @@ fi
        ;;
 esac
 
-echo "$as_me:24613: checking where we will install curses.h" >&5
+echo "$as_me:24684: checking where we will install curses.h" >&5
 echo $ECHO_N "checking where we will install curses.h... $ECHO_C" >&6
 
 includesubdir=
@@ -24620,7 +24691,7 @@ if test "$with_overwrite" = no && \
 then
        includesubdir="/ncurses${USE_LIB_SUFFIX}"
 fi
-echo "$as_me:24623: result: ${includedir}${includesubdir}" >&5
+echo "$as_me:24694: result: ${includedir}${includesubdir}" >&5
 echo "${ECHO_T}${includedir}${includesubdir}" >&6
 
 ### Resolve a conflict between normal and wide-curses by forcing applications
@@ -24628,7 +24699,7 @@ echo "${ECHO_T}${includedir}${includesubdir}" >&6
 if test "$with_overwrite" != no ; then
 if test "$NCURSES_LIBUTF8" = 1 ; then
        NCURSES_LIBUTF8='defined(HAVE_LIBUTF8_H)'
-       { echo "$as_me:24631: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&5
+       { echo "$as_me:24702: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&5
 echo "$as_me: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&2;}
 fi
 fi
@@ -24646,7 +24717,7 @@ EOF
 ### Construct the list of subdirectories for which we'll customize makefiles
 ### with the appropriate compile-rules.
 
-echo "$as_me:24649: checking for src modules" >&5
+echo "$as_me:24720: checking for src modules" >&5
 echo $ECHO_N "checking for src modules... $ECHO_C" >&6
 
 # dependencies and linker-arguments for test-programs
@@ -24711,7 +24782,7 @@ EOF
                fi
        fi
 done
-echo "$as_me:24714: result: $cf_cv_src_modules" >&5
+echo "$as_me:24785: result: $cf_cv_src_modules" >&5
 echo "${ECHO_T}$cf_cv_src_modules" >&6
 
 TEST_ARGS="-L${LIB_DIR} $TEST_ARGS"
@@ -24948,7 +25019,7 @@ fi
 
 # Extract the first word of "tic", so it can be a program name with args.
 set dummy tic; ac_word=$2
-echo "$as_me:24951: checking for $ac_word" >&5
+echo "$as_me:25022: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_path_TIC_PATH+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -24965,7 +25036,7 @@ for ac_dir in $ac_dummy; do
   test -z "$ac_dir" && ac_dir=.
   if $as_executable_p "$ac_dir/$ac_word"; then
    ac_cv_path_TIC_PATH="$ac_dir/$ac_word"
-   echo "$as_me:24968: found $ac_dir/$ac_word" >&5
+   echo "$as_me:25039: found $ac_dir/$ac_word" >&5
    break
 fi
 done
 TIC_PATH=$ac_cv_path_TIC_PATH
 
 if test -n "$TIC_PATH"; then
-  echo "$as_me:24980: result: $TIC_PATH" >&5
+  echo "$as_me:25051: result: $TIC_PATH" >&5
 echo "${ECHO_T}$TIC_PATH" >&6
 else
-  echo "$as_me:24983: result: no" >&5
+  echo "$as_me:25054: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -24988,7 +25059,7 @@ if test -n "$FALLBACK_LIST"
 then
        if test "$TIC_PATH" = unknown
        then
-               { echo "$as_me:24991: WARNING: no tic program found for fallbacks" >&5
+               { echo "$as_me:25062: WARNING: no tic program found for fallbacks" >&5
 echo "$as_me: WARNING: no tic program found for fallbacks" >&2;}
        fi
 fi
@@ -25024,7 +25095,7 @@ case $cf_cv_system_name in
        (*-D_XOPEN_SOURCE_EXTENDED*)
                test -n "$verbose" && echo "    moving _XOPEN_SOURCE_EXTENDED to work around g++ problem" 1>&6
 
-echo "${as_me:-configure}:25027: testing moving _XOPEN_SOURCE_EXTENDED to work around g++ problem ..." 1>&5
+echo "${as_me:-configure}:25098: testing moving _XOPEN_SOURCE_EXTENDED to work around g++ problem ..." 1>&5
 
                CFLAGS="$CFLAGS -D_XOPEN_SOURCE_EXTENDED"
                CPPFLAGS=`echo "x$CPPFLAGS" | sed -e  's/^.//' -e 's/-D_XOPEN_SOURCE_EXTENDED//'`
@@ -25035,7 +25106,7 @@ esac
 
 # Help to automatically enable the extended curses features when using either
 # the *-config or the ".pc" files by adding defines.
-echo "$as_me:25038: checking for defines to add to ncurses${USE_CFG_SUFFIX}-config script" >&5
+echo "$as_me:25109: checking for defines to add to ncurses${USE_CFG_SUFFIX}-config script" >&5
 echo $ECHO_N "checking for defines to add to ncurses${USE_CFG_SUFFIX}-config script... $ECHO_C" >&6
 PKG_CFLAGS=
 for cf_loop1 in $CPPFLAGS_after_XOPEN
@@ -25051,7 +25122,7 @@ do
        done
        test "$cf_found" = no && PKG_CFLAGS="$PKG_CFLAGS $cf_loop1"
 done
-echo "$as_me:25054: result: $PKG_CFLAGS" >&5
+echo "$as_me:25125: result: $PKG_CFLAGS" >&5
 echo "${ECHO_T}$PKG_CFLAGS" >&6
 
 # AC_CHECK_SIZEOF demands a literal parameter, no variables.  So we do this.
@@ -25083,16 +25154,20 @@ esac
 # substitute into misc/Makefile to suppress
 # (un)install.data from the
 # (un)install rules.
-if test "x$cf_with_db_install" = "xno" || test "x$TERMINFO_SRC" = "xno"; then
-       MAKE_DATABASE="#"
+if test "x$cf_with_db_install" = "xno"; then
        MISC_INSTALL_DATA=
        MISC_UNINSTALL_DATA=
 else
-       MAKE_DATABASE=""
        MISC_INSTALL_DATA=install.data
        MISC_UNINSTALL_DATA=uninstall.data
 fi
 
+if test "x$cf_with_db_install" = "xno" || test "x$TERMINFO_SRC" = "xno"; then
+       MAKE_DATABASE="#"
+else
+       MAKE_DATABASE="$MAKE_TERMINFO"
+fi
+
 SUB_SCRIPTS=
 
 if test -n "$PACKAGE"
@@ -25110,7 +25185,7 @@ then
        cf_filter_syms=$cf_dft_filter_syms
        test -n "$verbose" && echo "    will map symbols to ABI=$cf_cv_abi_version" 1>&6
 
-echo "${as_me:-configure}:25113: testing will map symbols to ABI=$cf_cv_abi_version ..." 1>&5
+echo "${as_me:-configure}:25188: testing will map symbols to ABI=$cf_cv_abi_version ..." 1>&5
 
 fi
 
@@ -25220,7 +25295,7 @@ DEFS=-DHAVE_CONFIG_H
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:25223: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:25298: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >$CONFIG_STATUS <<_ACEOF
 #! $SHELL
@@ -25396,7 +25471,7 @@ cat >>$CONFIG_STATUS <<\EOF
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:25399: error: ambiguous option: $1
+    { { echo "$as_me:25474: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -25415,7 +25490,7 @@ Try \`$0 --help' for more information." >&2;}
     ac_need_defaults=false;;
 
   # This is an error.
-  -*) { { echo "$as_me:25418: error: unrecognized option: $1
+  -*) { { echo "$as_me:25493: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -25535,7 +25610,7 @@ do
   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
   "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
   "include/ncurses_cfg.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/ncurses_cfg.h:include/ncurses_cfg.hin" ;;
-  *) { { echo "$as_me:25538: error: invalid argument: $ac_config_target" >&5
+  *) { { echo "$as_me:25613: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -25890,9 +25965,9 @@ s,@FORM_NAME@,$FORM_NAME,;t t
 s,@CXX_NAME@,$CXX_NAME,;t t
 s,@LIBTOOL_OPTS_CXX@,$LIBTOOL_OPTS_CXX,;t t
 s,@PKG_CFLAGS@,$PKG_CFLAGS,;t t
-s,@MAKE_DATABASE@,$MAKE_DATABASE,;t t
 s,@MISC_INSTALL_DATA@,$MISC_INSTALL_DATA,;t t
 s,@MISC_UNINSTALL_DATA@,$MISC_UNINSTALL_DATA,;t t
+s,@MAKE_DATABASE@,$MAKE_DATABASE,;t t
 s,@UNALTERED_SYMS@,$UNALTERED_SYMS,;t t
 s,@ADAGEN_LDFLAGS@,$ADAGEN_LDFLAGS,;t t
 s,@CHECK_BUILD@,$CHECK_BUILD,;t t
@@ -26029,7 +26104,7 @@ done; }
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:26032: creating $ac_file" >&5
+    { echo "$as_me:26107: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -26047,7 +26122,7 @@ echo "$as_me: creating $ac_file" >&6;}
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:26050: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:26125: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -26060,7 +26135,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:26063: error: cannot find input file: $f" >&5
+           { { echo "$as_me:26138: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -26076,7 +26151,7 @@ cat >>$CONFIG_STATUS <<\EOF
       if test -n "$ac_seen"; then
         ac_used=`grep '@datarootdir@' $ac_item`
         if test -z "$ac_used"; then
-          { echo "$as_me:26079: WARNING: datarootdir was used implicitly but not set:
+          { echo "$as_me:26154: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&2;}
@@ -26085,7 +26160,7 @@ $ac_seen" >&2;}
       fi
       ac_seen=`grep '${datarootdir}' $ac_item`
       if test -n "$ac_seen"; then
-        { echo "$as_me:26088: WARNING: datarootdir was used explicitly but not set:
+        { echo "$as_me:26163: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&2;}
@@ -26122,7 +26197,7 @@ s,@INSTALL@,$ac_INSTALL,;t t
             ac_init=`egrep '[  ]*'$ac_name'[   ]*=' $ac_file`
             if test -z "$ac_init"; then
               ac_seen=`echo "$ac_seen" |sed -e 's,^,'$ac_file':,'`
-              { echo "$as_me:26125: WARNING: Variable $ac_name is used but was not set:
+              { echo "$as_me:26200: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&2;}
@@ -26133,7 +26208,7 @@ $ac_seen" >&2;}
     egrep -n '@[A-Z_][A-Z_0-9]+@' $ac_file >>$tmp/out
     if test -s $tmp/out; then
       ac_seen=`sed -e 's,^,'$ac_file':,' < $tmp/out`
-      { echo "$as_me:26136: WARNING: Some variables may not be substituted:
+      { echo "$as_me:26211: WARNING: Some variables may not be substituted:
 $ac_seen" >&5
 echo "$as_me: WARNING: Some variables may not be substituted:
 $ac_seen" >&2;}
@@ -26182,7 +26257,7 @@ for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:26185: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:26260: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -26193,7 +26268,7 @@ echo "$as_me: creating $ac_file" >&6;}
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:26196: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:26271: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -26206,7 +26281,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:26209: error: cannot find input file: $f" >&5
+           { { echo "$as_me:26284: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -26264,7 +26339,7 @@ cat >>$CONFIG_STATUS <<\EOF
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
-      { echo "$as_me:26267: $ac_file is unchanged" >&5
+      { echo "$as_me:26342: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
@@ -26609,7 +26684,7 @@ cf_ITEM=`echo "$cf_item" | sed y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQ
                                (cygdll|msysdll|mingw)
                                        test "x$with_shared_cxx" = xno && test -n "$verbose" && echo "  overriding CXX_MODEL to SHARED" 1>&6
 
-echo "${as_me:-configure}:26612: testing overriding CXX_MODEL to SHARED ..." 1>&5
+echo "${as_me:-configure}:26687: testing overriding CXX_MODEL to SHARED ..." 1>&5
 
                                        with_shared_cxx=yes
                                        ;;